<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net7.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UserSecretsId>b6dec513-ff65-4fd5-8684-903448b7e699</UserSecretsId>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.3" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.3" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.3">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="7.0.3" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.3">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.0" />
		<PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="7.0.0" />
		<PackageReference Include="Serilog" Version="2.12.0" />
		<PackageReference Include="Serilog.Sinks.Console" Version="4.1.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="6.5.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.5.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.5.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\GBW.Zemoga.TechnicalTest.Business\GBW.Zemoga.TechnicalTest.Business.csproj" />
		<ProjectReference Include="..\GBW.Zemoga.TechnicalTest.Data\GBW.Zemoga.TechnicalTest.Data.csproj" />
		<ProjectReference Include="..\GBW.Zemoga.TechnicalTest.Domain\GBW.Zemoga.TechnicalTest.Domain.csproj" />
	</ItemGroup>

</Project>
